#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

set( _tarball_desktops plugin.plugin )
set( _tarball_files
    src-Makefile.am plugin_app.cpp plugin_impl.cpp
    plugin_impl.h noatunui.png plugin.kdevelop
    subdirs
)
set( _tarball_content ${_tarball_desktops} ${_tarball_files} )
list( SORT _tarball_content )

tde_create_translated_desktop(
  SOURCE ${_tarball_desktops}
  DESTINATION -
  PO_DIR tdevelop-desktops
)

file(
  COPY ${_tarball_files}
  DESTINATION ${CMAKE_CURRENT_BINARY_DIR}
)

tde_create_tarball(
  TARGET noatunui.tar.gz
  SOURCEDIR ${CMAKE_CURRENT_BINARY_DIR}
  FILES ${_tarball_content}
)


install( FILES
    ${CMAKE_CURRENT_BINARY_DIR}/noatunui.tar.gz noatunui.png
  DESTINATION ${DATA_INSTALL_DIR}/kdevappwizard )


tde_create_translated_desktop(
  SOURCE noatunui.kdevtemplate
  DESTINATION ${DATA_INSTALL_DIR}/kdevappwizard/templates
  KEYWORDS Category
  PO_DIR tdevelop-desktops
)
